gnutls_x509_crt_set_proxy_dn(3)

NAME
gnutls_x509_crt_set_proxy_dn - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_proxy_dn(gnutls_x509_crt_t crt, gnutls_x509_crt_t eecrt, unsigned int raw_flag, const void * name, unsigned int sizeof_name);

ARGUMENTS

gnutls_x509_crt_t crt
    a gnutls_x509_crt_t type with the new proxy cert

gnutls_x509_crt_t eecrt
    the end entity certificate that will be issuing the proxy

unsigned int raw_flag
    must be 0, or 1 if the CN is DER encoded

const void * name
    a pointer to the CN name, may be NULL (but MUST then be added later)

unsigned int sizeof_name
    holds the size of name

DESCRIPTION
This function will set the subject in crt to the end entity's
 eecrt subject name, and add a single Common Name component name of size sizeof_name . This corresponds to the required proxy certificate naming style. Note that if name is NULL, you MUST set it later by using gnutls_x509_crt_set_dn_by_oid() or similar.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/